package com.huimv.management.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 报警信息vo
 * </p>
 *
 * @author yinhao
 * @version 1.0
 * @date 2021/6/15 13:52
 */
@Data
public class WarningInfoVo implements Serializable {
    private static final long serialVersionUID = 4482176341970498690L;

    /**
     * 主键
     */
    private String id;
    /**
     * 当前日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GTM+8")
    private Date nowDate;
    /**
     * 牧场id
     */
    private Integer farmId;
    /**
     * 牧场名称
     */
    private String farmName;
    /**
     * 猪舍id
     */
    private Integer pigstyId;
    /**
     * 猪舍名称
     */
    private String pigstyName;
    /**
     * 报警类型(数字)
     */
    private Short warningType;
    /**
     * 报警类型名称
     */
    private String warningName;
    /**
     * 当前数值
     */
    private Double nowValue;
}
