package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.ThresholdManagementDao;
import com.huimv.management.entity.ThresholdManagementEntity;
import com.huimv.management.service.ThresholdManagementService;

/**
 * <p>
 * 报警阈值管理ServiceImpl
 * </p>
 *
 * @author  yinhao
 * @version 1.0
 * @date 2021/6/15 13:21
 */
@Service("thresholdManagementService")
public class ThresholdManagementServiceImpl extends ServiceImpl<ThresholdManagementDao, ThresholdManagementEntity> implements ThresholdManagementService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<ThresholdManagementEntity> page = this.page(
                new Query<ThresholdManagementEntity>().getPage(params),
                new QueryWrapper<>()
        );

        return new PageUtils(page);
    }

}